#ifndef __CheckBox__
#define __CheckBox__

#ifndef GUI_DLL 
    #ifdef GUI_BUILD
	    #define GUI_DLL __declspec(dllexport)
    #else
	    #define GUI_DLL __declspec(dllimport)
        #pragma comment(lib, "WindowManager.lib")
    #endif
#endif


#include "Window.h"


class GUI_DLL CheckBox : public Window {
public:
    CheckBox(Window* parent = 0);
    virtual ~CheckBox();

    virtual void setSize(Size& size);

    bool isChecked();
    void check(bool checked);

protected:
    void onMouseEnter(Event& event);
    void onMouseLeave(Event& event);
    void onMouseLeftDown(Event& event);
    void onMouseLeftUp(Event& event);

    class _CheckBox;
    _CheckBox* _checkBox;
};

#endif